function main_RV_all_scenarios


[RV_PA_MAG, mdot_values] =  main_RV_PA_MAG;
[RV_PA_START, T_ant_values] =  main_RV_PA_START;
[RV_PA_EXIT, t1_ant_values] =  main_RV_PA_EXIT;


colkk = ['k- '; 'k--'; 'k-.'; 'k: '; 'k  '];


figure
subplot(3,4,1);plot(mdot_values,RV_PA_MAG.overall.y,colkk(1,:),mdot_values,RV_PA_MAG.overall.pi,colkk(2,:));hold on; plot([mdot_values(1) mdot_values(end)], [1 1],'k');xlim([mdot_values(1) mdot_values(end)]);title('Overall (0<t<\infty)');xlabel('E(c)');axis('tight');ylabel('PA-MAG')
subplot(3,4,2);plot(mdot_values,RV_PA_MAG.AP.y,colkk(1,:),mdot_values,RV_PA_MAG.AP.pi,colkk(2,:));hold on; plot([mdot_values(1) mdot_values(end)], [1 1],'k');xlim([mdot_values(1) mdot_values(end)]);title('Anticipation phase (0<t<T)');xlabel('E(c)');axis('tight')
subplot(3,4,3);plot(mdot_values,RV_PA_MAG.IP.y,colkk(1,:),mdot_values,RV_PA_MAG.IP.pi,colkk(2,:));hold on; plot([mdot_values(1) mdot_values(end)], [1 1],'k');xlim([mdot_values(1) mdot_values(end)]);title('Implementation phase (T<t<t_1)');xlabel('E(c)');axis('tight')
subplot(3,4,4);plot(mdot_values,RV_PA_MAG.RP.y,colkk(1,:),mdot_values,RV_PA_MAG.RP.pi,colkk(2,:));hold on; plot([mdot_values(1) mdot_values(end)], [1 1],'k');xlim([mdot_values(1) mdot_values(end)]);title('Return phase (t>t_1)');xlabel('E(c)');axis('tight')

subplot(3,4,5);plot(T_ant_values,RV_PA_START.overall.y,colkk(1,:),T_ant_values,RV_PA_START.overall.pi,colkk(2,:));hold on; plot([T_ant_values(1) T_ant_values(end)], [1 1],'k');xlim([T_ant_values(1) T_ant_values(end)]);xlabel('E(T)');axis('tight');ylabel('PA-START');
subplot(3,4,6);plot(T_ant_values,RV_PA_START.AP.y,colkk(1,:),T_ant_values,RV_PA_START.AP.pi,colkk(2,:));hold on; plot([T_ant_values(1) T_ant_values(end)], [1 1],'k');xlim([T_ant_values(1) T_ant_values(end)]);xlabel('E(T)');axis('tight')
subplot(3,4,7);plot(T_ant_values,RV_PA_START.IP.y,colkk(1,:),T_ant_values,RV_PA_START.IP.pi,colkk(2,:));hold on; plot([T_ant_values(1) T_ant_values(end)], [1 1],'k');xlim([T_ant_values(1) T_ant_values(end)]);xlabel('E(T)');axis('tight')
subplot(3,4,8);plot(T_ant_values,RV_PA_START.RP.y,colkk(1,:),T_ant_values,RV_PA_START.RP.pi,colkk(2,:));hold on; plot([T_ant_values(1) T_ant_values(end)], [1 1],'k');xlim([T_ant_values(1) T_ant_values(end)]);xlabel('E(T)');axis('tight')

subplot(3,4,9);plot(t1_ant_values,RV_PA_EXIT.overall.y,colkk(1,:),t1_ant_values,RV_PA_EXIT.overall.pi,colkk(2,:));hold on; plot([t1_ant_values(1) t1_ant_values(end)], [1 1],'k');xlim([t1_ant_values(1) t1_ant_values(end)]);xlabel('E(t_1)');axis('tight');ylabel('PA-EXIT');
subplot(3,4,10);plot(t1_ant_values,RV_PA_EXIT.AP.y,colkk(1,:),t1_ant_values,RV_PA_EXIT.AP.pi,colkk(2,:));hold on; plot([t1_ant_values(1) t1_ant_values(end)], [1 1],'k');xlim([t1_ant_values(1) t1_ant_values(end)]);xlabel('E(t_1)');axis('tight')
subplot(3,4,11);plot(t1_ant_values,RV_PA_EXIT.IP.y,colkk(1,:),t1_ant_values,RV_PA_EXIT.IP.pi,colkk(2,:));hold on; plot([t1_ant_values(1) t1_ant_values(end)], [1 1],'k');xlim([t1_ant_values(1) t1_ant_values(end)]);xlabel('E(t_1)');axis('tight')
subplot(3,4,12);plot(t1_ant_values,RV_PA_EXIT.RP.y,colkk(1,:),t1_ant_values,RV_PA_EXIT.RP.pi,colkk(2,:));hold on; plot([t1_ant_values(1) t1_ant_values(end)], [1 1],'k');xlim([t1_ant_values(1) t1_ant_values(end)]);xlabel('E(t_1)');axis('tight');
legend('Output', 'Inflation','Location','Northwest');

set(gcf,'PaperOrientation','landscape');
set(gcf,'PaperUnits','normalized');
set(gcf,'PaperPosition', [0 0 1 1]);

print('-dpsc2','fig_sect4_RV_all_scenarios.eps')
